%define major   6.0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%global _vpath_srcdir fuzzylite

Name:           fuzzylite
Version:        6.0
Release:        %mkrel 1
Summary:        A fuzzy logic control library in C++
Group:          System/Libraries
License:        GPLv3 or ASL 2.0
URL:            http://www.fuzzylite.com
Source0:        https://github.com/fuzzylite/fuzzylite/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
Requires:       %{libname} = %{version}-%{release}

%description
Fuzzylite is a free and open-source fuzzy logic control library
programmed in C++ for multiple platforms (Windows, Linux, Mac, iOS).
Its goal is to allow you to easily create fuzzy logic controllers
in a few steps utilizing object-oriented programming without
requiring any third-party libraries.

This package contains the %{name} console application.

%files
%{_bindir}/%{name}

#----------------------------------------------------------------------

%package -n     %{libname}
Summary:        A fuzzy logic control library in C++
Group:          System/Libraries

%description -n %{libname}
Fuzzylite is a free and open-source fuzzy logic control library
programmed in C++ for multiple platforms (Windows, Linux, Mac, iOS).
Its goal is to allow you to easily create fuzzy logic controllers
in a few steps utilizing object-oriented programming without
requiring any third-party libraries.

%files -n       %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development headers and library for %{name}.

%files -n       %{devname}
%doc AUTHOR CHANGELOG LICENSE NEWS README.md
%{_includedir}/fl/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake -DFL_BUILD_STATIC=OFF \
       -DFL_BACKTRACE=ON
%cmake_build

%install
%cmake_install


%changelog
* Thu Feb 04 2021 akien <akien> 6.0-1.mga8
+ Revision: 1674861
- Version 6.0

* Thu Feb 13 2020 umeabot <umeabot> 5.1-6.mga8
+ Revision: 1512369
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Sep 23 2018 umeabot <umeabot> 5.1-5.mga7
+ Revision: 1297806
- Mageia 7 Mass Rebuild

* Sat Sep 30 2017 cjw <cjw> 5.1-4.mga7
+ Revision: 1161855
- fix build with gcc 7

* Wed Mar 29 2017 akien <akien> 5.1-3.mga6
+ Revision: 1095203
- Revert to 5.1, vcmi is not yet compatible with 6.0

* Fri Mar 24 2017 akien <akien> 6.0-1.mga6
+ Revision: 1094704
- Version 6.0

* Thu Feb 11 2016 umeabot <umeabot> 5.1-2.mga6
+ Revision: 953969
- Mageia 6 Mass Rebuild

* Sun Sep 27 2015 akien <akien> 5.1-1.mga6
+ Revision: 884305
- Version 5.1

* Sun Nov 02 2014 akien <akien> 5.0-1.20141102.1.mga5
+ Revision: 795285
- imported package fuzzylite

